# Set the script to stop on errors
$ErrorActionPreference = 'Stop';

# Get the directory where the script is located
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

# Define the MSI file location
$fileLocation = Join-Path $toolsDir 'dtagent-x64-release-23.1.210.0.msi'

# Define package arguments for MSI installation
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  file64        = $fileLocation
  softwareName  = 'dt-agent*'

  # Define silent installation arguments
  silentArgs    = "/quiet /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""

  # Define valid exit codes
  validExitCodes= @(0, 3010, 1641)
}

# Install the package using the defined arguments
Install-ChocolateyInstallPackage @packageArgs
